Subject: Re: [PATCH 5/8] dpaa2-switch: do not clear any interrupts automatically

From: Jakub Kicinski <[email-masked]>
Date: Tue, 5 Dec 2023 20:02:32 -0800

On Mon,  4 Dec 2023 18:35:25 +0200 Ioana Ciornei wrote:
> The dpsw_get_irq_status() can clear interrupts automatically based on
> the value stored in the 'status' variable passed to it. We don't want
> that to happen because we could get into a situation when we are
> clearing more interrupts that we actually handled.
> 
> Just resort to manually clearing interrupts after we received them using
> the dpsw_clear_irq_status().

Currently it can't cause any issues?
We won't get into an IRQ storm if some unexpected IRQ fires?